#version 450
// SIMPLE IMAGE : VERTEX SHADER

// These come in from the vertex definition
layout(location = 0) in vec3 v_position;
layout(location = 1) in vec2 ti_position;

// These are made up in the shader themselves
layout(location = 0) out vec2 img_coords;

void main() {

    gl_Position = vec4(v_position, 1.0);
    img_coords = ti_position;
}




